Method: projects.locations.collections.engines.analytics.exportMetrics

측정을 내보냅니다.

HTTP 요청

POST https://discoveryengine.googleapis.com/v1alpha/{analytics=projects/*/locations/*/collections/*/engines/*/analytics}:exportMetrics

URL은 gRPC 트랜스코딩 문법을 사용합니다.

경로 매개변수

매개변수
analytics

string

필수 항목입니다. 측정이 생성되는 엔진의 분석 리소스 이름입니다. 형식은 projects/{project}/locations/{location}/collections/{collection}/engines/{engine}/analytics입니다.

요청 본문

요청 본문에는 다음과 같은 구조의 데이터가 포함됩니다.

JSON 표현
{
  "outputConfig": {
    object (OutputConfig)
  }
}
필드
outputConfig

object (OutputConfig)

필수 항목입니다. 데이터의 출력 위치입니다.

응답 본문

성공한 경우 응답 본문에 Operation의 인스턴스가 포함됩니다.

승인 범위

다음 OAuth 범위 중 하나가 필요합니다.

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/discoveryengine.readwrite
  • https://www.googleapis.com/auth/discoveryengine.serving.readwrite

자세한 내용은 Authentication Overview를 참조하세요.

OutputConfig

출력 구성 설정입니다.

JSON 표현
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "bigqueryDestination": {
    object (BigQueryDestination)
  }
  // End of mutually exclusive fields.
}
필드
출력 데이터를 보관할 대상의 구성입니다. 다음은 상호 배타적인 필드 목록입니다. 응답에서 필드가 최대 하나 설정됩니다.
bigqueryDestination

object (BigQueryDestination)

출력이 작성될 BigQuery 위치입니다.

상호 배타적인 필드의 끝입니다.

BigQueryDestination

BigQuery 출력 대상 구성입니다.

JSON 표현
{
  "datasetId": string,
  "tableId": string
}
필드
datasetId

string

필수 항목입니다. BigQuery 데이터 세트의 ID입니다.

tableId

string

필수 항목입니다. 내보낸 BigQuery 테이블의 tableId입니다.